org.apache.cassandra.db

## Class AbstractCell

- java.lang.Object
- - org.apache.cassandra.db.AbstractCell

- All Implemented Interfaces:
    Cell, OnDiskAtom
  Direct Known Subclasses:
    AbstractNativeCell, BufferCell

      public abstract class AbstractCell
      extends java.lang.Object
      implements Cell

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.db.OnDiskAtom

      `OnDiskAtom.Serializer, OnDiskAtom.SerializerForWriting`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.cassandra.db.Cell

      `MAX_NAME_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCell()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `cellDataSize()`
    `static Cell` | `create(CellName name, java.nio.ByteBuffer value, long timestamp, int ttl, CFMetaData metadata)`
    `Cell` | `diff(Cell cell)`
    `Cell` | `diffCounter(Cell cell)`
    `boolean` | `equals(Cell cell)`
    `boolean` | `equals(java.lang.Object o)`
    `int` | `getLocalDeletionTime()`
    `java.lang.String` | `getString(CellNameType comparator)`
    `int` | `hashCode()`
    `boolean` | `isLive()`
    `boolean` | `isLive(long now)`
    `static java.util.Iterator<OnDiskAtom>` | `onDiskIterator(java.io.DataInput in, ColumnSerializer.Flag flag, int expireBefore, Version version, CellNameType type)`
    `Cell` | `reconcile(Cell cell)`
    `Cell` | `reconcileCounter(Cell cell)` This is temporary until we start creating Cells of the different type (buffer vs.
    `int` | `serializationFlags()`
    `int` | `serializedSize(CellNameType type, TypeSizes typeSizes)`
    `void` | `updateDigest(java.security.MessageDigest digest)`
    `void` | `validateFields(CFMetaData metadata)`
    `void` | `validateName(CFMetaData metadata)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.db.Cell

      `localCopy, localCopy, name, unsharedHeapSizeExcludingData, value, withUpdatedName, withUpdatedTimestamp, withUpdatedTimestampAndLocalDeletionTime`

    - ### Methods inherited from interface org.apache.cassandra.db.OnDiskAtom

      `timestamp`

- - ### Constructor Detail

    - #### AbstractCell

          public AbstractCell()

  - ### Method Detail

    - #### onDiskIterator

          public static java.util.Iterator<OnDiskAtom> onDiskIterator(java.io.DataInput in,
                                                                      ColumnSerializer.Flag flag,
                                                                      int expireBefore,
                                                                      Version version,
                                                                      CellNameType type)

    - #### isLive

          public boolean isLive()

      Specified by:
        `isLive` in interface `Cell`

    - #### isLive

          public boolean isLive(long now)

      Specified by:
        `isLive` in interface `Cell`

    - #### cellDataSize

          public int cellDataSize()

      Specified by:
        `cellDataSize` in interface `Cell`

    - #### serializedSize

          public int serializedSize(CellNameType type,
                                    TypeSizes typeSizes)

      Specified by:
        `serializedSize` in interface `Cell`

    - #### serializationFlags

          public int serializationFlags()

      Specified by:
        `serializationFlags` in interface `Cell`

    - #### diff

          public Cell diff(Cell cell)

      Specified by:
        `diff` in interface `Cell`

    - #### updateDigest

          public void updateDigest(java.security.MessageDigest digest)

      Specified by:
        `updateDigest` in interface `OnDiskAtom`

    - #### getLocalDeletionTime

          public int getLocalDeletionTime()

      Specified by:
        `getLocalDeletionTime` in interface `OnDiskAtom`

    - #### reconcile

          public Cell reconcile(Cell cell)

      Specified by:
        `reconcile` in interface `Cell`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(Cell cell)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### getString

          public java.lang.String getString(CellNameType comparator)

      Specified by:
        `getString` in interface `Cell`

    - #### validateName

          public void validateName(CFMetaData metadata)
                            throws MarshalException

      Throws:
        `MarshalException`

    - #### validateFields

          public void validateFields(CFMetaData metadata)
                              throws MarshalException

      Specified by:
        `validateFields` in interface `OnDiskAtom`
      Throws:
        `MarshalException`

    - #### create

          public static Cell create(CellName name,
                                    java.nio.ByteBuffer value,
                                    long timestamp,
                                    int ttl,
                                    CFMetaData metadata)

    - #### diffCounter

          public Cell diffCounter(Cell cell)

    - #### reconcileCounter

          public Cell reconcileCounter(Cell cell)

      This is temporary until we start creating Cells of the different type (buffer vs. native)

Copyright © 2018 The Apache Software Foundation